Search found 1060 matches

Go to advanced search

by TheMarkster
Sun Sep 29, 2019 4:59 pm
Forum: Announcements & Features
Topic: ThreadProfile Workbench
Replies: 29
Views: 2545

Re: ThreadProfile Workbench

I'm getting a similar looking mesh.
by TheMarkster
Fri Sep 27, 2019 4:56 am
Forum: Help on using FreeCAD
Topic: Extrude function and taper value error
Replies: 6
Views: 147

Re: Extrude function and taper value error

I noticed something weird lately when working with taper angles using extrude, but I can't remember exactly what it was. Could be a regression from the link merge perhaps. Which version are you using? Did you try with an older version?
by TheMarkster
Thu Sep 26, 2019 12:19 am
Forum: Help on using FreeCAD
Topic: Convert spline to DWire (for offsetting)
Replies: 12
Views: 297

Re: Convert spline to DWire (for offsetting)

Well, if there is no solution to the rounded corners issue, unfortunately it looks like I will probably switch to another CAD program for this operation. I do think my original idea of converting everything to DWires would work, because draft offset with DWires works fine and does not round corners...
by TheMarkster
Wed Sep 25, 2019 3:41 am
Forum: Announcements & Features
Topic: ThreadProfile Workbench
Replies: 29
Views: 2545

Re: ThreadProfile Workbench

Hello First of all, great plugin! I was looking to create a thread in FreeCAD and this definitely helps. But what would be the best method to convert it to a mesh? You can convert FreeCAD object to meshes using the Mesh Design workbench. Mesh menu -> Create mesh from shape. Alternatively, you can s...
by TheMarkster
Mon Sep 23, 2019 4:45 pm
Forum: Help on using FreeCAD
Topic: Which workbench should I use for designing an office desk
Replies: 5
Views: 211

Re: Which workbench should I use for designing an office desk

I suggest an additional cross support on the bottom in the back.
by TheMarkster
Wed Sep 18, 2019 9:56 pm
Forum: Announcements & Features
Topic: Mesh Remodel workbench
Replies: 18
Views: 1877

Re: Mesh Remodel workbench

Here is a screenshot.
Snip macro screenshot-49877a.png
Snip macro screenshot-49877a.png (86.98 KiB) Viewed 259 times
by TheMarkster
Tue Sep 17, 2019 5:31 pm
Forum: Help on using FreeCAD
Topic: Design help - irregular shape
Replies: 5
Views: 250

Re: Design help - irregular shape

rosparovac wrote:
Tue Sep 17, 2019 3:18 pm
Hello everyone
Your images don't show up. You can attach them directly by drag and drop as I have done here for you.

The lines are 10mm apart?

Edit: I deleted mine since I see you fixed your post while I was doing it.
by TheMarkster
Tue Sep 17, 2019 4:40 pm
Forum: Help on using FreeCAD
Topic: I'm sure it's simple...
Replies: 19
Views: 638

Re: I'm sure it's simple...

openBrain wrote:
Tue Sep 17, 2019 8:54 am
I doubt you can obtain the OP's shape with such a way. ;) The top face shall be a rectangle and base octagon vertexes shall be aligned with the top face edges.
Okay, I see now. I was basing it on the first screenshot he posted.
by TheMarkster
Mon Sep 16, 2019 9:09 pm
Forum: Help on using FreeCAD
Topic: I'm sure it's simple...
Replies: 19
Views: 638

Re: I'm sure it's simple...

You could pad a sketch and use the draft tool in part design.

See attached example file. The sketch would need to be constrained to desired dimensions.
by TheMarkster
Fri Sep 13, 2019 10:06 pm
Forum: Python scripting and macros
Topic: Check if an object is a solid
Replies: 15
Views: 626

Re: Check if an object is a solid

Code: Select all

if App.ActiveDocument.Helix.Shape.Solids:
    print("is a solid")

Go to advanced search